Subject: Re: BBB Complaint: 9466185
From: "LLPS Customer Service" <[email-masked]>
To: "Andrea Garcia" <[email-masked]>
Date: Tue, 9 Apr 2013 14:28:34 -0400

Hello Andrea.
I wasn't sure if how I could respond to the complaint so I thought I would just email you our response.  The reason that the response may have been delayed could be that there is a completely different address for the company who ordered was and the person filing the complaint.  It took a little digging but I was able to find an order for Creative Fire, Inc. which is related to the email of the person filing the complaint.  Our response is as follows:

We apologize for any confusion. It is deemed necessary by the state that all corporations actively doing business within the state to retain certain documentation regarding annual corporate meetings. The documentation includes current corporate officers, directors and shareholders. This needs to be done on an annual basis. We are a third party document preparation service who prepares all of the necessary documents to fulfill that obligation. This same service may be obtained from an attorney or accountant but generally for a higher cost. We are not a government agency and do not have a contract with the government to provide this service. This is stated clearly in bold throughout our mailings.  Regardless, we have a full refund policy for any of our products that are returned. Once the book(s) have been returned, we will process a full refund. Our records indicate that correspondence was received that the customer was returning their book for a refund.  We received that book back on April 8, 2013 and a refund was issued that same day.  Also, we have added CREATIVE FIRE INC to our Do Not Contact lists so that future contact will be halted. We do regret any misunderstanding or any inconvenience that may have occurred.

Thank you,
Michael B
LLPS

From: Andrea Garcia 
Sent: Tuesday, April 09, 2013 12:25 PM
To: LLPS Customer Service 
Subject: Re: BBB Complaint: 9466185

Good Morning Michael:  

Please find attached the complaint for your review. 

Sincerely, 

Andrea Garcia | Dispute Resolution Consultant

Tel: 602-212-2232
Fax: 602-798-8279
Email: [email-masked]
www.arizonabbb.org

Better Business Bureau of Central, Northern & Western Arizona

4428 North 12th Street, Phoenix, AZ 85014
1569 West Gurley Street, Prescott, AZ  86305
350 W. 16th Street, Suite 205, Yuma, AZ 85364  

Not BBB-Accredited? Click to Apply! 

Find BBB on: 

On Mon, Apr 8, 2013 at 6:11 AM, LLPS Customer Service <[email-masked]> wrote:

  Hello Andrea.
  We would love to respond specifically to the complaint but do not have the details of the case itself.  If you can provide the information of the person who is making the complaint, I will respond accordingly.  (Or a link to the website would be preferred and appreciated)
  Thank you,
  Michael B
  LLPS

  From: Andrea Garcia 
  Sent: Friday, April 05, 2013 4:09 PM
  To: [email-masked] 
  Subject: BBB Complaint: 9466185

  Dear Ms. Mike:  

  Thank you for your call. If you would like to respond to the above- referenced complaint, you may do so by replying to this email. We will re-open the complaint once the response is received. 

  Please do not hesitate to contact us should you have questions or concerns. 

  Sincerely,  

  Andrea Garcia | Dispute Resolution Consultant

  Tel: 602-212-2232
  Fax: 602-798-8279
  Email: [email-masked]
  www.arizonabbb.org

  Better Business Bureau of Central, Northern & Western Arizona

  4428 North 12th Street, Phoenix, AZ 85014
  1569 West Gurley Street, Prescott, AZ  86305
  350 W. 16th Street, Suite 205, Yuma, AZ 85364  

  Not BBB-Accredited? Click to Apply! 

  Find BBB on: